ru.bitel.bgbilling.plugins.assistant.common.bean

## Enum AssistantFieldType

- java.lang.Object
- - java.lang.Enum<AssistantFieldType>
  - - ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantFieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AssistantFieldType>

      public enum AssistantFieldType
      extends java.lang.Enum<AssistantFieldType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `COMBOX`
    `CONTRACT`
    `DATE`
    `DECIMAL`
    `HIDDEN`
    `INTEGER`
    `LIST`
    `NONE`
    `PERIOD`
    `STRING`
    `TABLE`
    `TEXTAREA`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AssistantFieldType` | `getAssistantFieldTypeByCode(java.lang.String code)`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getTitle()`
    `static AssistantFieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AssistantFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AssistantFieldType NONE

    - #### HIDDEN

          public static final AssistantFieldType HIDDEN

    - #### STRING

          public static final AssistantFieldType STRING

    - #### BOOLEAN

          public static final AssistantFieldType BOOLEAN

    - #### INTEGER

          public static final AssistantFieldType INTEGER

    - #### DECIMAL

          public static final AssistantFieldType DECIMAL

    - #### DATE

          public static final AssistantFieldType DATE

    - #### PERIOD

          public static final AssistantFieldType PERIOD

    - #### CONTRACT

          public static final AssistantFieldType CONTRACT

    - #### LIST

          public static final AssistantFieldType LIST

    - #### COMBOX

          public static final AssistantFieldType COMBOX

    - #### TEXTAREA

          public static final AssistantFieldType TEXTAREA

    - #### TABLE

          public static final AssistantFieldType TABLE

  - ### Method Detail

    - #### values

          public static AssistantFieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssistantFieldType c : AssistantFieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AssistantFieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getAssistantFieldTypeByCode

          public static AssistantFieldType getAssistantFieldTypeByCode(java.lang.String code)